Module javafx.controls
Package javafx.scene.control.skin

# Class ProgressIndicatorSkin

java.lang.Object
javafx.scene.control.SkinBase<ProgressIndicator>
javafx.scene.control.skin.ProgressIndicatorSkin

All Implemented Interfaces:
  `Skin<ProgressIndicator>`

Direct Known Subclasses:
  `ProgressBarSkin`

    public class ProgressIndicatorSkin
    extends SkinBase<ProgressIndicator>

Default skin implementation for the `ProgressIndicator` control.

Since:
  9
See Also:
  `ProgressIndicator`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProgressIndicatorSkin​(ProgressIndicator control)` | Creates a new ProgressIndicatorSkin instance, installing the necessary child nodes into the Control `children` list.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected double` | `computeMaxHeight​(double width, double topInset, double rightInset, double bottomInset, double leftInset)` | Computes the maximum allowable height of the Skin, based on the provided width.
  `protected double` | `computeMaxWidth​(double height, double topInset, double rightInset, double bottomInset, double leftInset)` | Computes the maximum allowable width of the Skin, based on the provided height.
  `protected double` | `computeMinHeight​(double width, double topInset, double rightInset, double bottomInset, double leftInset)` | Computes the minimum allowable height of the Skin, based on the provided width.
  `protected double` | `computeMinWidth​(double height, double topInset, double rightInset, double bottomInset, double leftInset)` | Computes the minimum allowable width of the Skin, based on the provided height.
  `protected double` | `computePrefHeight​(double width, double topInset, double rightInset, double bottomInset, double leftInset)` | Calculates the preferred height of this `SkinBase`.
  `protected double` | `computePrefWidth​(double height, double topInset, double rightInset, double bottomInset, double leftInset)` | Calculates the preferred width of this `SkinBase`.
  `void` | `dispose()` | Called by a Skinnable when the Skin is replaced on the Skinnable.
  `static List<CssMetaData<? extends Styleable,​?>>` | `getClassCssMetaData()` | Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
  `List<CssMetaData<? extends Styleable,​?>>` | `getCssMetaData()` | This method should delegate to `Node.getClassCssMetaData()` so that a Node's CssMetaData can be accessed without the need for reflection.
  `protected void` | `layoutChildren​(double x, double y, double w, double h)` | Called during the layout pass of the scenegraph.

  ### Methods inherited from class javafx.scene.control.SkinBase

  `computeBaselineOffset, consumeMouseEvents, executeAccessibleAction, getChildren, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProgressIndicatorSkin

    public ProgressIndicatorSkin​(ProgressIndicator control)
    Creates a new ProgressIndicatorSkin instance, installing the necessary child nodes into the Control `children` list.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### dispose

    public void dispose()
    Called by a Skinnable when the Skin is replaced on the Skinnable. This method allows a Skin to implement any logic necessary to clean up itself after the Skin is no longer needed. It may be used to release native resources. The methods `Skin.getSkinnable()` and `Skin.getNode()` should return null following a call to dispose. Calling dispose twice has no effect.
    Specified by:
      `dispose` in interface `Skin<ProgressIndicator>`
    Overrides:
      `dispose` in class `SkinBase<ProgressIndicator>`

  - ### layoutChildren

    protected void layoutChildren​(double x, double y, double w, double h)
    Called during the layout pass of the scenegraph.
    Overrides:
      `layoutChildren` in class `SkinBase<ProgressIndicator>`
    Parameters:
      `x` - the x position
      `y` - the y position
      `w` - the width
      `h` - the height

  - ### computeMinWidth

    protected double computeMinWidth​(double height, double topInset, double rightInset, double bottomInset, double leftInset)
    Computes the minimum allowable width of the Skin, based on the provided height.
    Overrides:
      `computeMinWidth` in class `SkinBase<ProgressIndicator>`
    Parameters:
      `height` - The height of the Skin, in case this value might dictate the minimum width.
      `topInset` - the pixel snapped top inset
      `rightInset` - the pixel snapped right inset
      `bottomInset` - the pixel snapped bottom inset
      `leftInset` - the pixel snapped left inset
    Returns:
      A double representing the minimum width of this Skin.

  - ### computeMinHeight

    protected double computeMinHeight​(double width, double topInset, double rightInset, double bottomInset, double leftInset)
    Computes the minimum allowable height of the Skin, based on the provided width.
    Overrides:
      `computeMinHeight` in class `SkinBase<ProgressIndicator>`
    Parameters:
      `width` - The width of the Skin, in case this value might dictate the minimum height.
      `topInset` - the pixel snapped top inset
      `rightInset` - the pixel snapped right inset
      `bottomInset` - the pixel snapped bottom inset
      `leftInset` - the pixel snapped left inset
    Returns:
      A double representing the minimum height of this Skin.

  - ### computePrefWidth

    protected double computePrefWidth​(double height, double topInset, double rightInset, double bottomInset, double leftInset)
    Calculates the preferred width of this `SkinBase`. The default implementation calculates this width as the width of the area occupied by its managed children when they are positioned at their current positions at their preferred widths.
    Overrides:
      `computePrefWidth` in class `SkinBase<ProgressIndicator>`
    Parameters:
      `height` - the height that should be used if preferred width depends on it
      `topInset` - the pixel snapped top inset
      `rightInset` - the pixel snapped right inset
      `bottomInset` - the pixel snapped bottom inset
      `leftInset` - the pixel snapped left inset
    Returns:
      the calculated preferred width

  - ### computePrefHeight

    protected double computePrefHeight​(double width, double topInset, double rightInset, double bottomInset, double leftInset)
    Calculates the preferred height of this `SkinBase`. The default implementation calculates this height as the height of the area occupied by its managed children when they are positioned at their current positions at their preferred heights.
    Overrides:
      `computePrefHeight` in class `SkinBase<ProgressIndicator>`
    Parameters:
      `width` - the width that should be used if preferred height depends on it
      `topInset` - the pixel snapped top inset
      `rightInset` - the pixel snapped right inset
      `bottomInset` - the pixel snapped bottom inset
      `leftInset` - the pixel snapped left inset
    Returns:
      the calculated preferred height

  - ### computeMaxWidth

    protected double computeMaxWidth​(double height, double topInset, double rightInset, double bottomInset, double leftInset)
    Computes the maximum allowable width of the Skin, based on the provided height.
    Overrides:
      `computeMaxWidth` in class `SkinBase<ProgressIndicator>`
    Parameters:
      `height` - The height of the Skin, in case this value might dictate the maximum width.
      `topInset` - the pixel snapped top inset
      `rightInset` - the pixel snapped right inset
      `bottomInset` - the pixel snapped bottom inset
      `leftInset` - the pixel snapped left inset
    Returns:
      A double representing the maximum width of this Skin.

  - ### computeMaxHeight

    protected double computeMaxHeight​(double width, double topInset, double rightInset, double bottomInset, double leftInset)
    Computes the maximum allowable height of the Skin, based on the provided width.
    Overrides:
      `computeMaxHeight` in class `SkinBase<ProgressIndicator>`
    Parameters:
      `width` - The width of the Skin, in case this value might dictate the maximum height.
      `topInset` - the pixel snapped top inset
      `rightInset` - the pixel snapped right inset
      `bottomInset` - the pixel snapped bottom inset
      `leftInset` - the pixel snapped left inset
    Returns:
      A double representing the maximum height of this Skin.

  - ### getClassCssMetaData

    public static List<CssMetaData<? extends Styleable,​?>> getClassCssMetaData()
    Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
    Returns:
      the CssMetaData associated with this class, which may include the CssMetaData of its superclasses

  - ### getCssMetaData

    public List<CssMetaData<? extends Styleable,​?>> getCssMetaData()
    This method should delegate to `Node.getClassCssMetaData()` so that a Node's CssMetaData can be accessed without the need for reflection.
    Overrides:
      `getCssMetaData` in class `SkinBase<ProgressIndicator>`
    Returns:
      The CssMetaData associated with this node, which may include the CssMetaData of its superclasses.